routes/web.php
<?php

use App\Http\Controllers\admin\UsersController;
use App\Http\Controllers\admin\DashboardController;
use App\Http\Controllers\AccountController;
use App\Http\Controllers\AlbumController;
use App\Http\Controllers\CondominiumController;
use App\Http\Controllers\ConstructionController;
use App\Http\Controllers\DependentsController;
use App\Http\Controllers\EmployeesCondController;
use App\Http\Controllers\EmployeesController;
use App\Http\Controllers\EventController;
use App\Http\Controllers\OccurrenceController;
use App\Http\Controllers\PetsController;
use App\Http\Controllers\PresenceController;
use App\Http\Controllers\RelaseController;
use App\Http\Controllers\ReservationController;
use App\Http\Controllers\RoomController;
use App\Http\Controllers\SurveyController;
use App\Http\Controllers\TopicController;
use App\Http\Controllers\VehiclesController;
use App\Http\Controllers\VisitorsController;
use App\Http\Controllers\VotesController;
use App\Http\Controllers\BranchController;
use App\Http\Controllers\CommentsController;
use App\Http\Controllers\ConciergeController;
use App\Http\Controllers\ConfigurationsController;
use App\Http\Controllers\DocumentController;
use App\Http\Controllers\MaintenanceController;
use App\Http\Controllers\MessagesController;
use App\Http\Controllers\NoteController;
use App\Http\Controllers\NotificationsController;
use App\Http\Controllers\PackageController;
use App\Http\Controllers\ProviderController;
use App\Http\Controllers\SubdivisionController;
use App\Http\Controllers\UpdatesController;
use Illuminate\Support\Facades\Route;


/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::middleware(['auth'])->group(function () {  

    // ADMINISTRAÇÃO //

    Route::prefix('administracao')->middleware('access:admin')->group(function () {
        Route::name('admin.')->group(function () {
            
            Route::get('/', [DashboardController::class, 'index'])->name('index');

            // CONDOMNÍNIOS //

             Route::prefix('condominios')->group(function () {
                Route::name('condominiums.')->group(function () {
                    Route::get('/', [CondominiumController::class, 'index'])->name('index');
                    Route::get('/criar', [CondominiumController::class, 'create'])->name('create');
                    Route::post('/criar', [CondominiumController::class, 'store'])->name('store');
                    Route::get('/visualizando/{id}', [CondominiumController::class, 'show'])->name('show');
                    Route::get('/ver-condominio/{id}', [CondominiumController::class, 'session'])->name('session');
                    Route::get('/deletar/{id}', [CondominiumController::class, 'destroy'])->name('destroy');
                    Route::get('/editar/{id}/', [CondominiumController::class, 'edit'])->name('edit');
                    Route::put('/editar/{id}/', [CondominiumController::class, 'update'])->name('update');
                });
            });

            // CONDOMNÍNIOS //

            Route::prefix('subdivisoes')->group(function () {
                Route::name('subdivisions.')->group(function () {
                    Route::get('/', [SubdivisionController::class, 'index'])->name('index');
                    Route::get('/criar', [SubdivisionController::class, 'create'])->name('create');
                    Route::post('/criar', [SubdivisionController::class, 'store'])->name('store');
                    Route::get('/deletar/{id}', [SubdivisionController::class, 'destroy'])->name('destroy');
                    Route::get('/editar/{id}/', [SubdivisionController::class, 'edit'])->name('edit');
                    Route::put('/editar/{id}/', [SubdivisionController::class, 'update'])->name('update');
                });
            });

            // USUÁRIOS //

            Route::prefix('usuarios')->group(function () {
                Route::name('users.')->group(function () {
                    Route::get('/', [UsersController::class, 'index'])->name('index');
                    Route::get('/veiculos', [VehiclesController::class, 'index'])->name('vehicle');
                    Route::get('/pets', [PetsController::class, 'index'])->name('pet');
                    Route::get('/funcionarios', [EmployeesController::class, 'index'])->name('employee');
                    Route::get('/visitantes', [VisitorsController::class, 'index'])->name('visitor');
                    Route::get('/moradores', [DependentsController::class, 'index'])->name('dependent');
                    Route::get('/visualizando/{id}', [UsersController::class, 'show'])->name('show');            
                    Route::get('/editar/{id}', [UsersController::class, 'edit'])->name('edit');
                    Route::put('/editar/{id}', [UsersController::class, 'update'])->name('update');
                    Route::get('/deletar/{id}', [UsersController::class, 'destroy'])->name('destroy');
                    Route::get('/atualizar-status/{id}/{status}', [UsersController::class, 'approve'])->name('approve');
                });
            });

            // NOTIFICATIONS

            Route::prefix('notificar')->group(function () {
                Route::name('notifications.')->group(function () {
                    Route::get('/', [NotificationsController::class, 'index'])->name('index');
                    Route::get('/criar/{id}', [NotificationsController::class, 'create'])->name('create');
                    Route::post('/criar/{id}', [NotificationsController::class, 'store'])->name('store');
                    Route::get('/deletar/{id}', [NotificationsController::class, 'destroy'])->name('destroy');
                    Route::get('/editar/{id}/', [NotificationsController::class, 'edit'])->name('edit');
                    Route::put('/editar/{id}/', [NotificationsController::class, 'update'])->name('update');
                });
            });

            // CONCIERGE //

            Route::prefix('portarias')->group(function () {
                Route::name('concierges.')->group(function () {
                    Route::get('/', [ConciergeController::class, 'index'])->name('index');
                    Route::get('/criar', [ConciergeController::class, 'create'])->name('create');
                    Route::post('/criar', [ConciergeController::class, 'store'])->name('store');
                    Route::get('/deletar/{id}', [ConciergeController::class, 'destroy'])->name('destroy');
                    Route::get('/editar/{id}/', [ConciergeController::class, 'edit'])->name('edit');
                    Route::put('/editar/{id}/', [ConciergeController::class, 'update'])->name('update');
                });
            });

            // CONFIGURATIONS

            Route::prefix('configuracoes')->group(function () {
                Route::name('configurations.')->group(function () {
                    Route::get('/', [ConfigurationsController::class, 'index'])->name('index');
                    Route::post('/criar', [ConfigurationsController::class, 'store'])->name('store');
                    Route::get('/deletar', [ConfigurationsController::class, 'destroy'])->name('destroy');
                    Route::put('/editar', [ConfigurationsController::class, 'update'])->name('update');
                });
            });

        });
    });
    
    // PÁGINA INICIAL //

    Route::get('/', [AccountController::class, 'feed'])->name('feed');
    Route::get('/ficha-tecnica', [UsersController::class, 'condominium'])->name('condominium');
    Route::get('/atualizacoes', [UpdatesController::class, 'updates'])->name('updates');

    // MINHA CONTA //
    
    Route::prefix('minha-conta')->group(function () {
        Route::name('account.')->group(function () {
            Route::get('/', [AccountController::class, 'index'])->name('index');
            Route::get('/editar', [AccountController::class, 'edit'])->name('edit');
            Route::put('/editar', [AccountController::class, 'update'])->name('update');
            Route::put('/contatos', [AccountController::class, 'contacts'])->name('contacts');
            Route::delete('/deletar', [AccountController::class, 'destroy'])->name('destroy');
            Route::get('/publicacoes', [AccountController::class, 'approval'])->name('approval');
            Route::name('see.')->group(function () {
                Route::get('/buscar-veiculo/{id}/', [VehiclesController::class, 'show'])->name('vehicles');
                Route::get('/buscar-pet/{id}/', [PetsController::class, 'show'])->name('pets');
                Route::get('/buscar-funcionario/{id}/', [EmployeesController::class, 'show'])->name('employees');
                Route::get('/buscar-visitante/{id}/', [VisitorsController::class, 'show'])->name('visitors');
                Route::get('/buscar-morador/{id}/', [DependentsController::class, 'show'])->name('dependents');
            });
            Route::name('add.')->group(function () {
                Route::get('/adicionar-veiculo/{id}/', [VehiclesController::class, 'create'])->name('vehicles');
                Route::post('/adicionar-veiculo/{id}/', [VehiclesController::class, 'store'])->name('store.vehicles');
                Route::get('/adicionar-pet/{id}/', [PetsController::class, 'create'])->name('pets');
                Route::post('/adicionar-pet/{id}/', [PetsController::class, 'store'])->name('store.pets');
                Route::get('/adicionar-funcionario/{id}/', [EmployeesController::class, 'create'])->name('employees');
                Route::post('/adicionar-funcionario/{id}/', [EmployeesController::class, 'store'])->name('store.employees');

resources/views/pages/admin/notify/create.blade.php
@extends('layouts.app')

@section('title', 'Notificar usuário')

@section('custom-head')
   
@endsection

@section('content')
<div class="content d-flex flex-column flex-column-fluid pt-7 pd-md-0" id="kt_content">
    <div id="kt_content_container" class="container-xxl">
        <div class="row gy-5 g-xl-8">
            <div class="card p-5">
                <div class="card-body">
                    <!--begin::Heading-->
                    <div class="mb-8 text-center">
                        <!--begin::Title-->
                        <h1 class="mb-0">Notificar usuário</h1>
                        <!-- end::Title -->
                    </div>
                    <!--end::Heading-->
                    <form action="{{ route('admin.notifications.store', $user) }}" class="form" method="post" enctype="multipart/form-data">
                       @include('pages._forms.notify')
                        <!--begin::Actions-->
                        <div class="text-center mt-9">
                            <a href="{{ route('admin.index') }}">
                                <label class="btn btn-light me-3 mb-0">Voltar</label>
                            </a>
                            <button type="submit" class="btn btn-primary">
                                <span class="indicator-label" >Notificar e bloquear</span>
                            </button>
                        </div>
                        <!--end::Actions-->
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

resources/views/pages/admin/notify/edit.blade.php
@extends('layouts.app')

@section('title', 'Editar motivo do bloqueio')

@section('custom-head')

@endsection

@section('content')
<div class="content d-flex flex-column flex-column-fluid pt-7 pd-md-0">
    <div id="kt_content_container" class="container-xxl">
        <div class="row gy-5 g-xl-8">
            <div class="card p-5">

                <div class="card-body">

                    <!--begin::Heading-->
                    <div class="mb-8 text-center">
                        <!--begin::Title-->
                        <h1 class="mb-0">Editar motivo de bloqueio: {{ $content->name }}</h1>
                        <!--end::Title-->
                    </div>
                    <!--end::Heading-->

                    <form action="{{ route('admin.notifications.update', $content->id) }}" class="form" method="post" enctype="multipart/form-data">
                
                        @method('PUT')
                        @include('pages._forms.notify')

                        <!--begin::Actions-->
                        <div class="text-center mt-9">
                            <a href="{{ route('admin.index') }}">
                                <label class="btn btn-light me-3 mb-0">Voltar</label>
                            </a>
                            <button type="submit" class="btn btn-primary">
                                <span class="indicator-label" >Editar motivo</span>
                            </button>
                        </div>
                        <!--end::Actions-->

                    </form>
                    
                </div>

            </div>
        </div>
    </div>
</div>
@endsection

resources/views/pages/admin/notify/index.blade.php
@extends('layouts.app')

@section('title', 'Usuários bloqueados')

@section('custom-head')
    <!--begin::Page Vendor Stylesheets(used by this page)-->
    <link href={{asset('assets/plugins/custom/datatables/datatables.bundle.css')}} rel="stylesheet" type="text/css" />
    <!--end::Page Vendor Stylesheets-->
@endsection

@section('content')
<div class="content d-flex flex-column flex-column-fluid pt-7 pd-md-0">
    <div id="kt_content_container" class="container-xxl">
        <div class="row gy-5 g-xl-8">
            <div class="card">
                <div class="card-body">
                    <!--begin::Heading-->
                    <div class="mb-8 text-center">
                        <!--begin::Title-->
                        <h1 class="mb-0">Usuários bloqueados</h1>
                        <!--end::Title-->
                        
                    </div>
                    <!--end::Heading-->
                    <table id="datatable_default" class="table table-striped table-row-bordered gy-5 gs-7 border rounded">
                        <thead>
                            <tr class="fw-bolder fs-6 text-gray-800 px-7">
                                <th>#</th>
                                <th>-</th>
                                <th>Nome</th>
                                <th>Condomínio</th>
                                <th>Tipo de morador</th>
                                <th>Status</th>
                                <th>Últ. Acesso</th>
                                <th>Ações</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach ($contents as $user)
                            <tr>
                                <th>#{{ $user->id }}</th>
                                <th class="p-2">
                                    <div class="symbol symbol-30px symbol-circle"">
                                        <img alt="Pic" src="{{ imageUser($user->id) }}">
                                    </div>
                                </th>
                                <td>{{ $user->name }}</td>
                                <td><span class="badge badge-light fs-8 fw-bolder">{{ $user->cond()->first()->name }}</span></td>
                                @if($user->role == 'administrador')
                                <td><span class="badge badge-light-danger fs-8 fw-bolder">Administrador</span></td>
                                @elseif($user->role == 'portaria')
                                <td><span class="badge badge-light-success fs-8 fw-bolder">Portaria</span></td>
                                @else
                                <td><span class="badge badge-light-primary fs-8 fw-bolder">Morador</span></td>
                                @endif
                                @if($user->status == 'pendente')
                                <td><span class="badge badge-light-warning fs-8 fw-bolder">Pendente</span></td>
                                @elseif($user->status == 'aprovado')
                                <td><span class="badge badge-light-success fs-8 fw-bolder">Aprovado</span></td>
                                @else
                                <td><span class="badge badge-light-danger fs-8 fw-bolder">Bloqueado</span></td>
                                @endif
                                <td>{{ days($user->last_login_at) }}</td>
                                <td class="actions">
                                    <a href="{{ route('admin.notifications.edit', $user->id) }}"><i class="fas fa-edit" title="Editar motivo"></i></a>
                                    <a href="{{ route('admin.users.approve', ['id' => $user->id, 'status' => 'aprovado']) }}"><i class="fas fa-check-circle" title="Desbloquear"></i></a>
                                </td>
                            </tr>
                            @endforeach                            
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>


@endsection

@section('custom-js')
    @include('layouts.tables')
@endsection